compact1, compact2, compact3
java.util.function

## Interface LongToDoubleFunction

- Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface LongToDoubleFunction

  Represents a function that accepts a long-valued argument and produces a double-valued result. This is the `long`-to-`double` primitive specialization for `Function`.

  This is a functional interface whose functional method is `applyAsDouble(long)`.

  Since:
    1.8
  See Also:
    `Function`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `applyAsDouble(long value)` Applies this function to the given argument.

- - ### Method Detail

    - #### applyAsDouble

          double applyAsDouble(long value)

      Applies this function to the given argument.
      Parameters:
        `value` - the function argument
      Returns:
        the function result

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.